Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations

BatchCreateBaremetalChassis

BatchCreateBaremetalChassis

POST/zstack/v1/baremetal/chassis/from-file

Operation ID

BatchCreateBaremetalChassis

Since

3.1.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • baremetalChassisInfo
      StringRequired

      The Base64-encoded configuration file of bare metal chassis.

    • longJobName
      String

      Optional. The name of the long job.

    • longJobDescription
      String

      Optional. The description of the long job.

    • resourceUuid
      String

      Optional. The UUID of the long job.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    LongJobInventoryRequired

    See inventory

    • uuid
      StringRequired

      The UUID of the API request.

    • name
      StringRequired

      The name of the API.

    • description
      StringRequired

      The detailed description of the long job.

    • apiId
      StringRequired

      The ID of the long job.

    • jobName
      StringRequired

      The name of the long job.

    • jobData
      StringRequired

      The data about the long job.

    • jobResult
      StringRequired

      The result of the long job.

    • targetResourceUuid
      StringRequired

      The UUID of the long job.

    • managementNodeUuid
      StringRequired

      The UUID of the management node.

    • createDate
      TimestampRequired

      The time when the long job was created.

    • lastOpDate
      TimestampRequired

      The time when the long job was last operated.

    • state
      LongJobStateRequired

      See state

      • name
        StringRequired

        The name of the long job.

      • ordinal
        intRequired

        The ordinal number.